module.exports = {
    truncate(str, limit=20, end='...') {
        if (str.length <= limit) {
            return str;
        }

        return str.substring(0, limit) + end;
    },

    numeral(number) {
        const numberString = number.toString();
        let result = 'th';
        if (number === 0) {
            return 0;
        }

        if (numberString[numberString.length - 1] === '1') {
            result = 'st';
        } else if (numberString[numberString.length - 1] === '2') {
            result = 'nd';
        } else if (numberString[numberString.length - 1] === '3') {
            result = 'rd';
        }

        return numberString + result;

    },

    capitalize(str) {
        const strList = str.split(" ");

        const capitalizedStrList = strList.map((s) => {
            return s[0].toUpperCase() + s.slice(1)
        });

        return capitalizedStrList.join(" ");
    },

    isEmpty(data) {
        return data === undefined || data === null || (typeof data === 'object' && Object.keys(data).length === 0) || (typeof data === 'string' && data.trim().length === 0);
    }


};